##############################################################################
#
# Copyright (c) 2002 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################

HOTFIX_ID = 'Hotfix_2002-06-14'

apply_hotfix = 0
try:
    from App.Hotfixes import beforeApplyHotfix
    # Require Zope 2.x.x.
    apply_hotfix = beforeApplyHotfix(HOTFIX_ID, 2, 0, 0)
except ImportError:
    # No hotfix module exists yet.
    apply_hotfix = 1
    from zLOG import LOG, INFO
    LOG('Hotfix', INFO, 'Applying %s.' % HOTFIX_ID)
    
if apply_hotfix:
    from Globals import InitializeClass
    
    # Check for Plug-in index support
    try:
        from Products.ZCatalog.ZCatalogIndexes import ZCatalogIndexes
    except ImportError:
        from zLOG import LOG, WARNING
        LOG('Hotfixes', WARNING, 'Cannot apply %s. This Zope installation '
            'does not support plug-in indexes, and does not need this fix. '
            'Please uninstall the hotfix product.' % HOTFIX_ID)
    else:
        # Make sure that users have the proper permission to directly
        # access the indexes of a ZCatalog\
        ZCatalogIndexes.__ac_permissions__ = \
            ZCatalogIndexes.__ac_permissions__ + \
            (('Manage ZCatalogIndex Entries', ('',)),)
        InitializeClass(ZCatalogIndexes)
